/// <reference types="jest" />
import { MockAxios as IMockAxios } from "./mock-axios";
declare type AxiosJestMock = jest.Mock<Promise<{
    data: {};
}>, []>;
interface MockAxios {
    delete: AxiosJestMock;
    deleteSuccess: (record?: any, delay?: number) => void;
    get: AxiosJestMock;
    getSuccess: (record: any, delay?: number) => void;
    listSuccess: (records: any[], delay?: number) => void;
    post: AxiosJestMock;
    postSuccess: (record: any, delay?: number) => void;
    put: AxiosJestMock;
    putSuccess: (record: any, delay?: number) => void;
}
declare const MockAxios: IMockAxios;
export { MockAxios };
